/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s): 
 *
 * 00/12/22 Weibck Maximilian (Maximilian.Weissboeck@i-online.cc)
 *          Can defined the port number on which the remote objects receive calls
 *
 * --------------------------------------------------------------------------
 * $Id: RemoteObject.jpp,v 1.11 2003/01/24 15:40:17 coqp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.common;

import java.rmi.NoSuchObjectException;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.server.RemoteStub;
import org.objectweb.util.monolog.api.BasicLevel;

import javax.rmi.PortableRemoteObject;

public class RemoteObject
    extends PortableRemoteObject
{

    // The port number on which the remote objects receive calls
    // (if port is zero, an anonymous port is chosen)
    private static int port = 0;

    public static void setPort(int p) {
	port = p;
    }

    public static int getPort() {
	return port;
    }

    protected RemoteObject() throws  RemoteException {
	super();
    }


    /*public static RemoteStub exportObject(Remote impl) throws RemoteException {
	TraceCore.logger.log(BasicLevel.DEBUG, ""+impl);
	PortableRemoteObject.exportObject(impl);
	return null;
    }*/

    public static RemoteStub exportObject(Remote impl, int port) throws RemoteException {
	TraceCore.logger.log(BasicLevel.DEBUG, ""+impl+" port="+port);
	PortableRemoteObject.exportObject(impl);
	return null;
    }

    public static boolean unexportObject(Remote impl, boolean force) throws NoSuchObjectException {
	TraceCore.logger.log(BasicLevel.DEBUG, ""+impl);
	PortableRemoteObject.unexportObject(impl);
	return true; // ???
    }
}
