/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CreditCardBean.java,v 1.1 2003/03/10 15:49:44 durieuxp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.cascade;

import java.util.Date;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public abstract class CreditCardBean implements javax.ejb.EntityBean {

    public Object ejbCreate(Date exp, String numb, String name, String org) throws CreateException {
	setExpirationDate(exp);
	setNumber(numb);
	setNameOnCard(name);
	setCreditOrganization(org);
	return null;
    }

    public void ejbPostCreate(Date exp, String numb, String name, String org) {
    }

    // relationship fields
    public abstract CustomerLocal getCustomer( );	
    public abstract void setCustomer(CustomerLocal cust);

    // persistent fields
    public abstract Integer getId();
    public abstract void setId(Integer id);
    public abstract Date getExpirationDate();
    public abstract void setExpirationDate(Date date);
    public abstract String getNumber();
    public abstract void setNumber(String number);
    public abstract String getNameOnCard();
    public abstract void setNameOnCard(String name);
    public abstract String getCreditOrganization();
    public abstract void setCreditOrganization(String org);

    // standard call back methods
    public void setEntityContext(EntityContext ec) {}
    public void unsetEntityContext(){}
    public void ejbLoad(){}
    public void ejbStore(){}
    public void ejbActivate(){}
    public void ejbPassivate(){}
    public void ejbRemove() throws javax.ejb.RemoveException{}
}
