/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CustomerLocal.java,v 1.1 2003/03/10 15:49:44 durieuxp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.cascade;

import javax.ejb.CreateException;
import javax.naming.NamingException;
import java.util.Date;
import java.util.Vector;
import java.util.Collection;

public interface CustomerLocal extends javax.ejb.EJBLocalObject {

    public Name getName();
    public void setName(Name name);

    public void addPhoneNumber(String number, byte type) throws NamingException, CreateException;
    public void removePhoneNumber(byte typeToRemove);
    public void updatePhoneNumber(String number, byte typeToUpdate);

    public Vector getPhoneList();

    public AddressLocal getHomeAddress();
    public void setHomeAddress(AddressLocal address);

    public CreditCardLocal getCreditCard();
    public void setCreditCard(CreditCardLocal card);

    public Collection getPhoneNumbers( );
    public void setPhoneNumbers(Collection phones);

}
